linker warning

bridged with qdn.public.qnxrtp.mips
Post Reply
Charlie Surface

linker warning

Post by Charlie Surface » Fri Mar 22, 2002 10:42 pm

I'm seeing the following error while building a library for mipsle:

/usr/ntomips/bin/ld: Warning: type of symbol `_gp_disp' changed from 1 to 3
in /mipsle/lib/libc.so

I see an equivalent error building for mipsbe. Is this a problem?

I'm using a QNX RTP 6.1 dev box. I'm pretty sure that the dev tools are
current.

thanks
Charlie

Charlie Surface

Re: linker warning

Post by Charlie Surface » Tue Mar 26, 2002 6:15 pm

Found the answer from a post to the os ng. This warning is a known issue
and shouldn't be a problem.



"Charlie Surface" <charlie_surface@oti.com> wrote in message
news:a7gbgv$9vt$1@inn.qnx.com...
I'm seeing the following error while building a library for mipsle:

/usr/ntomips/bin/ld: Warning: type of symbol `_gp_disp' changed from 1 to
3
in /mipsle/lib/libc.so

I see an equivalent error building for mipsbe. Is this a problem?

I'm using a QNX RTP 6.1 dev box. I'm pretty sure that the dev tools are
current.

thanks
Charlie

Post Reply

Return to “qdn.public.qnxrtp.mips”